Subject: Assigned to Group - Virtual App Support - Les Mills
From: Les Mills International <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sat, 21 Mar 2020 07:35:00 +0000

Hi  A new ticket has been assigned to your group "Level 1". Please follow the link below to view the ticket.  Virtual App Support - Les Mills Submitted data  The following data was submitted.  Field nameSubmitted dataEmail address [email-masked] your name Claire Ayers country United Kingdom zipPostal Wr66su Text box Les mills membership Question I need content download support Customer No Username nA Phone 07777666601 Comments Hi I’m interested in subscribing however have very bad/ slow internet.<br/>Will this work please ? If I could try a month free before signing up that would be great. Even if I download them I don’t have enough memory . Please advise . I would also like to buy your equipment. If you couldn’t let me try for a month a week would be fine . Thank you utm_source utm_campaign utm_medium utm_code Last_Name https://lesmillsvirtualapp.freshdesk.com/helpdesk/tickets/3426